@echo off

if not "%JAVA_HOME%" == "" goto gotJavaHome
echo You must set JAVA_HOME to point at your Java Development Kit installation
goto cleanup
:gotJavaHome

if not "%AXIS_HOME%" == "" goto gotAxisHome
echo You must set AXIS_HOME to point at your Axis Installation Directory
goto cleanup
:gotAxisHome


rem get the Axis jars in the classpath.
set CP=
for %%i in (%AXIS_HOME%\lib\*.jar) do call cpappend.bat %%i

if not "%CP%" == "" goto gotAxisJars
echo Could not get Axis jar files.
goto cleanup
:gotAxisJars

@echo on

%JAVA_HOME%\bin\java %JAVA_OPTS% -cp %CP% org.apache.axis.wsdl.Wsdl2java -p client SecureXML.wsdl
%JAVA_HOME%\bin\javac -classpath %CP%;. client\*.java

:cleanup
